Bug 1392013 - [RFE] Clients should report what services require restarting after an update.
Summary: [RFE] Clients should report what services require restarting after an update.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: katello-tracer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
: 1240472 (view as bug list)
Depends On: 1483631 1508909 1509033 1509042 1510141
Blocks: 1132363 1432022
TreeView+ depends on / blocked
 
Reported: 2016-11-04 15:09 UTC by Sean O'Keeffe
Modified: 2020-03-11 15:21 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17230 Normal Closed [RFE] Clients should report what services require restarting after an update 2020-07-06 16:14:01 UTC
Red Hat Bugzilla 1240472 None None None 2019-12-01 11:33:19 UTC
Red Hat Knowledge Base (Solution) 3059551 None None None 2017-05-30 07:28:20 UTC

Internal Links: 1240472

Description Sean O'Keeffe 2016-11-04 15:09:34 UTC
Description of problem:
After pkgs are updated the server needs to be rebooted/services restarted. I would be great if we report this data back to the katello server & be able to restart them using Remote Execution.

Comment 1 David Caplan 2016-11-08 18:44:14 UTC
Ideally we would handle this by instructing Satellite to construct a job template for the applicable hosts that provides the instructions for restarting the affected services. The user then has the option of running the restart job against the list of content hosts either immediately or scheduled against a maintenance window.

Comment 2 Brad Buckingham 2016-11-08 19:30:47 UTC
Updating owner/state based on upstream redmine.

Comment 3 Bryan Kearney 2016-11-08 21:03:23 UTC
Upstream bug component is Hosts - Content

Comment 4 Bryan Kearney 2016-11-09 17:03:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17230 has been resolved.

Comment 5 Paul Gozart 2017-05-03 17:58:50 UTC
*** Bug 1240472 has been marked as a duplicate of this bug. ***

Comment 15 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.